{% extends 'base.html.twig' %}

{% block title %} User Transactions{% endblock %}
{% block myTitle %} 
    User : {{ user.username }} Transactions
{% endblock %}
{% block body %}
    {% for message in app.flashes('success') %}
        <div class="alert alert-success">
            {{ message }}
        </div>
    {% endfor %}

    {# <a href="{{ path('app_admin_subscription_creation') }}" class="btn btn-success"> Add Subscription</a> #}

                <table class="table text-center">
                    <tr class="table-primary">
                        <td> Date </td>                               
                        <td> Amount (euros)</td>                               
                        <td> Subscription </td>                                                         
                    </tr>
                    {% for transaction in user.transactions %}
                        <tr>
                            <td> {{ transaction.date|date('Y-m-d H:i:s') }}</td>
                            <td> {{ transaction.amount }}</td>
                            <td> {{ transaction.subscription.name }}</td>
                        </tr> 
                    {% endfor %}
                </table>
{% endblock %}
